BURNCD(8)

NAME
burncd - control the ATAPI CD-R/RW driver

This utility was deprecated in FreeBSD 9.0. See NOTES.

SYNOPSIS
burncd [-deFlmnpqtv] [-f device] [-s speed] [command] [command file ...]

DESCRIPTION
The burncd utility is used to burn CD-R/RW media using the ATAPI cd driver.

Available options and operands:

-d  burn the CD-R/RW in DAO (disk at once) mode.

-e  eject the medium when done.

-f device
    set the device to use for the burning process.

-F  force operation regardless of warnings.

-l  read a list of image files from filename.

-m  close disk in multisession mode (otherwise disk is closed as singlesession).

-n  do not write gaps between data tracks in DAO mode.

-p  use preemphasis on audio tracks.

-q  quiet, do not print progress messages.

-s speed
    set the speed of the burner device. Defaults to 4. Specify “max” to use the drive's fastest speed.

-t  test write, do not actually write on the media.

-v  verbose, print extra progress messages.

command may be one of:

msinfo
    Show the first LBA of the last track on the media and the next writeable address on the media for use with the mkisofs(8)'s (ports/sysutils/cdrtools) -C switch when adding additional data to ISO file systems with extra sessions.

blank
    Blank a CD-RW medium. This uses the fast blanking method, so data are not physically overwritten, only those areas that make the media appear blank for further usage are erased.

eject
    Eject the medium when done. This is equivalent to the -e option.

erase
    Erase a CD-RW medium. This erases the entire media. Can take up to 1 hour to finish.

format {dvd+rw | dvd-rw}
    Formats a DVD+RW or DVD-RW media to the default max size and 2048 byte blocks. This operation can take a long time to finish. Progress reporting is done during the process.

fixate
    Fixate the medium so that the TOC is generated and the media can be used in an ordinary CD drive. The driver defaults to creating singlesession media (see -m option). Ignored in DAO mode (see -d option).

raw | audio
    Set the write mode to produce audio (raw mode) tracks for the following images on the command line.

data | mode1
    Set the write mode to produce data (mode1) tracks for the following image files on the command line.

mode2
    Set the write mode to produce data (mode2) tracks for the following image files on the command line.

XAmode1
    Set the write mode to produce data (XAmode1) tracks for the following image files on the command line.

XAmode2
    Set the write mode to produce data (XAmode2) tracks for the following image files on the command line.

vcd Set the write mode to produce VCD/SVCD tracks for the following image files on the command line. This automatically sets DAO (-d) and “no gaps” (-n) modes.

dvdrw
    Set the write mode to write a DVD+RW from the following image. DVDs only have one track.

file
    All other arguments are treated as filenames of images to write to the media, or in case the -l option is used as files containing lists of images.

Files whose length are not a multiple of the current media blocksize are quietly zero padded to fit the blocksize requirement. The conventional filename - refers to stdin, and can only be used once.

ENVIRONMENT
The following environment variables affect the execution of burncd:

BURNCD_SPEED
    The write speed to use if one is not specified with the -s flag.

CDROM
    The CD device to use if one is not specified with the -f flag.

FILES

/dev/acd0
    The default device, if not overridden by the CDROM environment variable or the -f option.

EXAMPLES
The typical usage for burning a data CD-R:

    burncd -f /dev/acd0 data file1 fixate

The typical usage for burning an audio CD-R:

    burncd -f /dev/acd0 audio file1 file2 file3 fixate

The typical usage for burning an audio CD-R in DAO mode:

    burncd -f /dev/acd0 -d audio file1 file2 file3

The typical usage for burning a mixed mode CD-R:

    burncd -f /dev/acd0 data file1 audio file2 file3 fixate

The typical usage for burning from a compressed image file on stdin:

    gunzip -c file.iso.gz | burncd -f /dev/acd0 data - fixate

In the examples above, the files burned to data CD-Rs are assumed to be ISO9660 file systems. mkisofs(8), available in the FreeBSD Ports Collection, as part of the sysutils/cdrtools port, is commonly used to create ISO9660 file system images from a given directory tree.

HISTORY
The burncd utility appeared in FreeBSD 4.0.

burncd was deprecated in FreeBSD 9.0.

AUTHORS
The burncd utility and this manpage was contributed by Søren Schmidt, Denmark <sos@FreeBSD.org>.

BUGS
Probably, please report when found.

NOTES
When

options ATA_CAM

is compiled into the kernel, then cdrecord(1), available in the FreeBSD Ports Collection as part of the sysutils/cdrtools port, must be used instead. Refer to:

http://www.freebsd.org/doc/handbook/creating-cds.html#CDRECORD